Subject: Re: [savi] SLAAC-SAVI and host address configuration

From: Alberto García <[email-masked]>
Date: Thu, 7 Jan 2010 11:43:39 +0100

|  -----Mensaje original-----
|  De: Christian Vogt [mailto:[email-masked]]
|  Enviado el: martes, 29 de diciembre de 2009 15:00
|  Para: Alberto García
|  CC: SAVI Mailing List; Guang Yao
|  Asunto: Re: [savi] SLAAC-SAVI and host address configuration
|  
|  Hi Alberto -
|  
|  >> The extra state you are proposing would be of benefit for hosts with
|  >> statically configured addresses, right?  Other hosts wouldn't care
|  >> which
|  >> IP address they get after a reboot, so there is no need to protect an
|  >> old IP address for those hosts during reboot.
|  >
|  > First, one question: when you talk about "statically configured
|  > addresses", are you referring also to SLAAC addresses? In the
|  > discussion
|  > above, I think the benefit would be for any SLAAC-configured (RFC4862)
|  > address [...]
|  
|  I agree with you that your proposal would affect any SLAAC-configured IP
|  address.  But my point was that your proposal has real value only for
|  manually pre-configured IP addresses.  For these IP addresses, a DAD
|  collision is harmful because it breaks the pre-configuration.  For other
|  IP addresses, a DAD collision is not harmful:  They can be replaced
|  without breaking a pre-configuration and, after a reboot, there are also
|  no active sessions that would break due to the IP address change.  Does
|  this make sense?
|  
|  This said, I take you point that a DAD collision can cause hosts to be
|  unable to communicate:
|  
|  > Although the solution for SLAAC hosts could be just to generate
|  > randomly
|  > a new address, it is not clear to me that SLAAC hosts do this. RFC4862
|  > 5.4.5 suggests "just disabling network operation on the interface"
|  
|  But keep in mind that your proposal doesn't fully solve this problem: If
|  you reserve the IP address for the original owner, then the other host
|  trying to configure this IP address is screwed.  If you don't reserve
|  the IP address, the original owner is screwed.  In fact, one would need
|  to augment SLAAC with better DAD collision recovery mechanisms in order
|  to solve this problem fully.  And perhaps this is something we should
|  propose to the 6man working group?

I agree that some kind of discussion about the way this situation is handled
in IPv6 hosts would be nice.

Regards,
Alberto

|  
|  Thoughts?
|  
|  - Christian